---
# Source: kube-prometheus-stack/charts/grafana/templates/servicemonitor.yaml
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: 20-prometheus-grafana
  labels:
    helm.sh/chart: grafana-6.24.1
    app.kubernetes.io/name: grafana
    app.kubernetes.io/instance: 20-prometheus
    app.kubernetes.io/version: "8.4.2"
    app.kubernetes.io/managed-by: Helm
spec:
  endpoints:
  - port: http-web
    scrapeTimeout: 30s
    honorLabels: true
    path: /metrics
    scheme: http
  jobLabel: "20-prometheus"
  selector:
    matchLabels:
        app.kubernetes.io/name: grafana
        app.kubernetes.io/instance: 20-prometheus
  namespaceSelector:
    matchNames:
      - observability
